/**
 * @overload
 * @param value The value to validate.
 * @param {RegExp} pattern The regular expression to validate against.
 */
/**
 * @overload
 * @param value The value to validate.
 * @param {string} pattern The regular expression to validate against.
 * @param {string} modifiers The modifiers for the given regular expression.
 */
/**
 * @category Predicates
 * @param value
 * @param {string | RegExp} pattern
 * @param {string} modifiers
 */
export declare function notMatches(value: unknown, pattern: RegExp): value is string;
export declare function notMatches(value: unknown, pattern: string, modifiers?: string): value is string;
